@import "../abstracts/variables";

.chakra-button {
  color: $white;

  background-color: $mid-blue;

  &.btn-red {
    background-color: $error-fade;
  }

  &.btn-green {
    background-color: $success-fade;
  }

  .chakra-link {
    color: $white;

    @include on-event {
      color: $white;
    }
  }

  @include on-event {
    background-color: $blue;
    border: none;
    box-shadow: none;

    &.btn-red {
      background-color: $error;
    }
  
    &.btn-green {
      background-color: $success;
    }
  }

  &:disabled {
    @include on-event {
      background-color: $mid-blue;

      &.btn-red {
        background-color: $error;
      }
    
      &.btn-green {
        background-color: $success;
      }
    }
  }
}